
for m in 0.2 0.3 0.425 0.5 ; do
#for m in 0.0 0.425 ; do


rm WAVECAR

cat > INCAR<<!
  SYSTEM = fcc Ni
  ISTART = 0
!  ENCUT = 700
  ALGO = Fast
  Prec = High
  ISMEAR = -5
  LORBIT=11

  ISYM = 0
  VOSKOWN = 1
  EDIFF  = 1E-5
  NELM = 200

  LNONCOLLINEAR = .TRUE.
  SAXIS = 0 0 1
  RWIGS = 1.0
  I_CONSTRAINED_M = 2
  LAMBDA = 20
  M_CONSTR = 0 0 $m


 AMIX     = 0.1
 BMIX     = 0.00001
 AMIX_MAG = 0.4
 BMIX_MAG = 0.00001

  NCORE=4   
!

echo $m

mpirun -np 16 vasp_ncl

cp OUTCAR OUTCAR.$m
cp OSZICAR OSZICAR.$m

echo $m

E=`grep "energy  without entr" OUTCAR | awk '{print $4}' `
M=`awk '$2=="F=" {printf $12}' OSZICAR`

echo $M $E, $m >> mag_energy.dat

#cp OUTCAR OUTCAR.$m
#cp OSZICAR OSZICAR.$m

done



